import { initialize, mswLoader } from 'msw-storybook-addon';
import { handlers } from '../src/mocks/msw/handlers';
import { withThemeProvider } from './decorators';

// Initialize MSW
initialize();

// Provide the MSW addon decorator globally
export const decorators = [
  withThemeProvider
];

export const loaders = [
  mswLoader
]

export const parameters = {
  actions: { argTypesRegex: "^on[A-Z].*" },
  controls: {
    matchers: {
      color: /(background|color)$/i,
      date: /Date$/,
    },
  },
  msw: {
    handlers: handlers
  }
}
