/**
 * Button App Bar
 * component utilising Mui App Bar with buttons component
 * https://mui.com/material-ui/react-app-bar/
 * https://mui.com/material-ui/api/app-bar/
 */
import { AppBar, styled, Toolbar, Typography } from "@mui/material";

const defaultStyle = ({ theme }) => ({
  "& > .CeuiButtonAppBar-Toolbar": {
    "& > .CeuiButtonAppBar-HomeBox": {
      marginRight: theme.spacing(2)
    },
    "& > .CeuiButtonAppBar-Title": {
      fontSize: "1.2rem",
      flexGrow: "1",
      overflow: "visible"
    }
  }
});

export const ButtonAppBar = styled(
  ({
    title,
    actionButton,
    homeButton,
    iconMenuButton,
    helpButton,
    className,
    ...delegated
  }) => {
    return (
      <AppBar
        className={`${className} CeuiButtonAppBar`}
        position="fixed"
        {...delegated}
      >
        <Toolbar className="CeuiButtonAppBar-Toolbar">
          <div className="CeuiButtonAppBar-HomeBox">{homeButton}</div>
          <Typography
            variant="h1"
            className="CeuiButtonAppBar-Title"
            noWrap
          >
            {title}
          </Typography>
          {iconMenuButton && <>{iconMenuButton}</>}
          {helpButton && <>{helpButton}</>}
          <div className="CeuiButtonAppBar-ActionBox">{actionButton}</div>
        </Toolbar>
      </AppBar>
    );
  },
  {
    name: "ButtonAppBar",
    slot: "Root"
  }
)(defaultStyle);
