import { Home } from "@mui/icons-material";
import { Button, IconButton as MuiIconButton } from "@mui/material";
import HelpCenterIcon from "@mui/icons-material/HelpCenter";
import { ButtonAppBar } from "../../../components/navigation/ButtonAppBar";
import { IconMenuButton } from "../../../components/common/IconMenuButton";
import { sbDisabledArg } from "../../utils/common-args";

export default {
  title: "Navigation/ButtonAppBar",
  argTypes: {
    homeButton: sbDisabledArg,
    actionButton: sbDisabledArg,
    iconMenuButton: sbDisabledArg,
    helpButton: sbDisabledArg
  }
};

export const Default = (args) => <ButtonAppBar {...args} />;

export const Example = (args) => <ButtonAppBar {...args} />;
const iconMenuButtonProps = {
  menuItems: [
    {
      text: "New IOC Type",
      action: () => alert("New IOC Type")
    }
  ]
};
const helpButtonProps = {
  icon: <HelpCenterIcon />,
  menuItems: [
    {
      text: "Help",
      action: () => alert("Help button pressed")
    }
  ]
};
Example.args = {
  homeButton: (
    <MuiIconButton color="inherit">
      <Home />
    </MuiIconButton>
  ),
  title: "Example title",
  /** Important:
   * The 'outlined' variant uses the primary color instead of contrast color!
   * Pair the "outlined" variant with the primaryInverted color, otherwise
   * the button will appear to be invisible against the ButtonAppBar
   * background color.
   */
  actionButton: <Button color="primaryContrastText">Login</Button>,
  helpButton: <IconMenuButton {...helpButtonProps} />,
  iconMenuButton: <IconMenuButton {...iconMenuButtonProps} />
};

export const ThemeVariant = (args) => <ButtonAppBar {...args} />;
ThemeVariant.args = {
  ...Example.args,
  variant: "themeExample",
  title: "Some of these styles came from the theme"
};
